package de.effigenix.infrastructure.inventory.persistence.repository;

import de.effigenix.infrastructure.inventory.persistence.entity.StorageLocationEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface StorageLocationJpaRepository extends JpaRepository<StorageLocationEntity, String> {

    List<StorageLocationEntity> findByStorageType(String storageType);

    List<StorageLocationEntity> findByActiveTrue();

    boolean existsByName(String name);

    boolean existsByNameAndIdNot(String name, String id);
}
